<?php
/**
 * Template part for displaying the page header of the currently displayed page
 *
 * @package code4rest
 */

namespace Code4rest;

$slug = ( is_search() && ! is_post_type_archive( 'product' ) ? 'search' : get_post_type() );
if ( empty( $slug ) ) {
	$queried_object = get_queried_object();
	if ( is_object( $queried_object ) && property_exists( $queried_object, 'taxonomy' ) ) {
		$current_tax = get_taxonomy( $queried_object->taxonomy );
		if ( is_object( $current_tax ) && property_exists( $current_tax, 'object_type' ) ) {
			$post_types = $current_tax->object_type;
			$slug = $post_types[0];
		}
	}
}
?>
<header class="<?php echo esc_attr( implode( ' ', get_archive_title_classes() ) ); ?>">
	<?php
	do_action( 'code4rest_archive_before_entry_header' );
	/**
	 * Code4rest Entry Header
	 *
	 * Hooked code4rest_entry_header 10
	 */
	do_action( 'code4rest_entry_archive_header', $slug . '_archive', 'normal' );

	do_action( 'code4rest_archive_after_entry_header' );
	?>
</header><!-- .entry-header -->
